import * as vscode from 'vscode';
import { Disposable } from '../utils/dispose';
import { CommandManager } from '../commands/commandManager';
export declare function nodeWasResolvable(): Promise<boolean>;
export declare class JsWalkthroughState extends Disposable {
    exampleJsDocument: vscode.TextDocument | undefined;
    dispose(): void;
}
export declare class CreateNewJSFileCommand {
    private readonly walkthroughState;
    static readonly id = "javascript-walkthrough.commands.createJsFile";
    readonly id = "javascript-walkthrough.commands.createJsFile";
    constructor(walkthroughState: JsWalkthroughState);
    execute(): void;
}
export declare class DebugJsFileCommand {
    private readonly walkthroughState;
    static readonly id = "javascript-walkthrough.commands.debugJsFile";
    readonly id = "javascript-walkthrough.commands.debugJsFile";
    constructor(walkthroughState: JsWalkthroughState);
    execute(): void;
}
export declare class NodeInstallationFoundCommand {
    static readonly id = "javascript-walkthrough.commands.nodeInstallationFound";
    readonly id = "javascript-walkthrough.commands.nodeInstallationFound";
    execute(): void;
}
export declare function registerJsNodeWalkthrough(commandManager: CommandManager, jsWalkthroughState: JsWalkthroughState): void;
